Page MenuHomePhabricator

elementary: destroy fileselector children when they are not itemized yet.
ClosedPublic

Authored by cedric on Mar 15 2019, 5:02 PM.

Details

Summary

As we now do everything asynchronously, we do have model representing child
of the main model that don't provide enough information to be displayed yet.
This are not tracked by a genlist item, nor are they a child of the
fileselector. To properly handle their lifecycle, it is necessary to unref
them manually explicitely.

Depends on D8374

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Mar 15 2019, 5:02 PM
cedric requested review of this revision.Mar 15 2019, 5:02 PM
bu5hm4n requested changes to this revision.Mar 16 2019, 9:12 AM
bu5hm4n added inline comments.
src/lib/elementary/elm_widget_fileselector.h
57

*children

This revision now requires changes to proceed.Mar 16 2019, 9:12 AM
zmike added a comment.Mar 18 2019, 5:34 AM

I tested this series locally and it still doesn't fix the fileselector unit test deadlocks. Also there's still quite a few errors.

In D8375#151127, @zmike wrote:

I tested this series locally and it still doesn't fix the fileselector unit test deadlocks. Also there's still quite a few errors.

Can you share the few errors you are seeing and how you trigger them?

cedric updated this revision to Diff 20819.Mar 20 2019, 11:37 AM
cedric edited the summary of this revision. (Show Details)

Rebase and correct.

bu5hm4n requested changes to this revision.Mar 21 2019, 3:24 AM

Does not apply here ...

This revision now requires changes to proceed.Mar 21 2019, 3:24 AM
bu5hm4n accepted this revision.Mar 25 2019, 3:23 AM
This revision is now accepted and ready to land.Mar 25 2019, 3:23 AM
cedric updated this revision to Diff 21006.Mar 27 2019, 2:43 PM

Rebase.

This revision was automatically updated to reflect the committed changes.